<style>
  .pagy-selector span input {
    min-width: 4rem !important;
  }
  .rca-list-pagy {
    font-size: 0.85rem;
    text-align: center;
  }
</style>
<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel">
    <%= @modal_title.nil? ? 'Set RCA Parent  /  ' : @modal_title %>
  </h5>
  <div style="float: right;">
    <%= form_with url: rca_add_parent_path(id: @rca.id), method: :get do |form| %>
      <%= hidden_field_tag :id, @rca.id %>
      Show <%= text_field_tag :items, @items, type: 'number', style: "text-align: center; width: 4rem;" %> rcas per page
    <% end %>
  </div>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<div id="rca-list-pagy">
  <div style="text-align:center;">
    <%= pagy_bootstrap_nav_js(@pagy).html_safe %>
  </div>
</div>

<%= form_with url: rca_add_parent_valid_path(id: @rca.id), method: :patch, local: true do |form| %>
  <div class="modal-body">
    <%#== pagy_nav(@pagy) if @pagy.pages > 1 %>
    <%#= pagy_bootstrap_nav_js(@pagy).html_safe %>
    <%# binding.pry %>
    
    <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
        <thead>
          <tr>
            <th class="filter-false sort-false">Select</th>
            <th><%= Rca.human_attribute_name :reference %> </th>
            <th><%= Rca.human_attribute_name :title %> </th>
            <th><%= Rca.human_attribute_name :methodology %> </th>
          </tr>
        </thead>
        <tbody>
          <% @rcas.each do |rca| %>
            <tr>
              <td><%= radio_button_tag "rcas", rca.id, false, class: 'radio dec-mat-radio radio-valid' %></td>
              <td><%= rca.reference %></td>
              <td><%= rca.title %></td>
              <td><%= rca.methodology&.name %></td>
            </tr>
          <% end %>
        </tbody>
      </table>
  </div>

  <div class="modal-footer">
    <%#= hidden_field_tag 'rca_id', @rca.id %>
    <button class="btn btn-outline-warning" id="valid_perimeters_checked"><%= t('.valid') %></button>
  </div>
<% end %>

<script text="javascript">

  $(function() {
    Pagy.init(document.getElementById('rca-list-pagy'));

    $('[data-toggle="tablesort"]').tablesorter({
      theme : 'blue',
      widgets : [ "filter"],

      filter_external : '.search-rcas',
      filter_reset: '.reset-rcas'
    });
  });
</script>
